Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.ode.nonstiff
Class MidpointIntegrator

    java.lang.Object
      org.apache.commons.math.ode.AbstractIntegrator
          org.apache.commons.math.ode.nonstiff.RungeKuttaIntegrator
              org.apache.commons.math.ode.nonstiff.MidpointIntegrator

All Implemented Interfaces:
  FirstOrderIntegrator, ODEIntegrator

    public class MidpointIntegrator

extends RungeKuttaIntegrator

This class implements a second order Runge-Kutta integrator for Ordinary Differential Equations.

This method is an explicit Runge-Kutta method, its Butcher-array is the following one :

        0  |  0    0
       1/2 | 1/2   0
           |----------
           |  0    1

Since:
  1.2
Version:
  $Revision: 810196 $ $Date: 2009-09-01 21:47:46 +0200 (mar. 01 sept. 2009) $
See Also:
  `EulerIntegrator`, `ClassicalRungeKuttaIntegrator`, `GillIntegrator`

Field Summary

Fields inherited from class org.apache.commons.math.ode.AbstractIntegrator
`isLastStep, resetOccurred, stepHandlers, stepSize, stepStart`

Constructor Summary
`MidpointIntegrator(double step)` Simple constructor.

Method Summary

Methods inherited from class org.apache.commons.math.ode.nonstiff.RungeKuttaIntegrator
`integrate`

Methods inherited from class org.apache.commons.math.ode.AbstractIntegrator
`acceptStep, addEndTimeChecker, addEventHandler, addStepHandler, clearEventHandlers, clearStepHandlers, computeDerivatives, getCurrentSignedStepsize, getCurrentStepStart, getEvaluations, getEventHandlers, getMaxEvaluations, getName, getStepHandlers, requiresDenseOutput, resetEvaluations, sanityChecks, setEquations, setMaxEvaluations, setStateInitialized`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MidpointIntegrator

    public MidpointIntegrator(double step)

  Simple constructor. Build a midpoint integrator with the given step.

  Parameters:
    `step` - integration step

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.